Bug 495299 - Text console problem with qemu-kvm cirrus/SDL
Text console problem with qemu-kvm cirrus/SDL
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-11 08:03 EDT by Sergei LITVINENKO
Modified: 2009-04-20 09:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 09:23:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergei LITVINENKO 2009-04-11 08:03:14 EDT
Description of problem:
In text mode as soon as all available lines on screen are used, cursor go outside of console area and is not visible more.

Version-Release number of selected component (if applicable):
qemu-system-x86-0.10-6.fc11.i586
qemu-common-0.10-6.fc11.i586
bochs-bios-2.3.8-0.6.git04387139e3b.fc11.noarch

How reproducible:
100%

Steps to Reproduce:
1. qemu-kvm -localtime -hda centos-5.img -boot c
2. boot in text mode (runlevel 3)
3. login and press <enter> 30 times
  
Actual results:
current position of cursor is not accessible - outside of screen area.

Expected results:
scrolling, cursor is in last line of text screen.

Additional info:
`less` do not work.
Comment 1 Sergei LITVINENKO 2009-04-11 13:04:21 EDT
in original version kvm-84.tar.gz there is the same problem.
Comment 2 Mark McLoughlin 2009-04-19 06:26:17 EDT
Sergei: is this also reproducible if you do?

  $> qemu-kvm -localtime -hda centos-5.img -boot c -vnc localhost:0
  $> vncviewer localhost

if not, then the bug is specific to the SDL backend
Comment 3 Sergei LITVINENKO 2009-04-20 09:10:15 EDT
Bug is resolved after some updates. I do not found this problem in qemu-0.10-8.fc11. Current version of SDL is:

[root@homedesk download]# rpm -qa | grep SDL
SDL-1.2.13-9.fc11.i586
SDL_image-1.2.6-7.fc11.i586
SDL_mixer-1.2.8-12.fc11.i586
SDL-devel-1.2.13-9.fc11.i586


PS: I think, this bug report should be closed
Comment 4 Mark McLoughlin 2009-04-20 09:23:48 EDT
Thanks Sergei

Note You need to log in before you can comment on or make changes to this bug.